package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeOrderSuccessCreateRequest struct {
	/*
	   创单请求对象     */
	OrderRequest *domain.AlibabaWdkTradeOrderSuccessCreateOrderSuccessRequest `json:"order_request" required:"true" `
}

func (s *AlibabaWdkTradeOrderSuccessCreateRequest) SetOrderRequest(v domain.AlibabaWdkTradeOrderSuccessCreateOrderSuccessRequest) *AlibabaWdkTradeOrderSuccessCreateRequest {
	s.OrderRequest = &v
	return s
}

func (req *AlibabaWdkTradeOrderSuccessCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderRequest != nil {
		paramMap["order_request"] = util.ConvertStruct(*req.OrderRequest)
	}
	return paramMap
}

func (req *AlibabaWdkTradeOrderSuccessCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
